package sys_role_admin

import "hongze/hongze_yb/global"

func GetVoiceAdmin(adminId int) (item *SysRoleAdmin, err error) {
	if global.CONFIG.Serve.RunMode == "release" {
		err = global.DEFAULT_MYSQL.Model(SysRoleAdmin{}).Where("role_id=32 AND admin_id=?",adminId).First(&item).Error
	}else {
		err = global.DEFAULT_MYSQL.Model(SysRoleAdmin{}).Where("role_id=33 AND admin_id=?",adminId).First(&item).Error
	}
	return
}

// TableName get sql table name.获取数据库表名
func (m *SysRoleAdmin) TableName() string {
	return "sys_role_admin"
}